> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List admin assistant roles

> Returns a list of admin assistant role mappings



## OpenAPI

````yaml /openapi.json get /api/v1/admin_assistant_roles
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/admin_assistant_roles:
    get:
      tags:
        - Admin Assistant Roles
      summary: List admin assistant roles
      description: Returns a list of admin assistant role mappings
      operationId: listAdminAssistantRoles
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            Comma-separated list of relationships to include. Allowed:
            `admin_assistant`, `faculty_member`, `permissions`
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort order. Prefix with `-` for descending. Allowed: `created_at`,
            `updated_at`, `effective_from`, `effective_to`
          schema:
            type: string
        - name: filter[key]
          in: query
          required: false
          description: >-
            Filter results. Available filters: `is_current` (boolean, Limit to
            currently-effective records.), `user_id` (filter by user id -
            returns roles where user is either the admin assistant or faculty
            member), `external_id`, `external_id.neq`, `external_id.cont`
            (case-insensitive substring match), `external_id.in`
            (comma-separated list), `external_id.nin` (comma-separated list),
            `effective_from`, `effective_from.neq`, `effective_from.lt`,
            `effective_from.lte`, `effective_from.gt`, `effective_from.gte`,
            `effective_to`, `effective_to.neq`, `effective_to.lt`,
            `effective_to.lte`, `effective_to.gt` (null values are treated as
            unbounded above and match this filter), `effective_to.gte` (null
            values are treated as unbounded above and match this filter),
            `admin_assistant`, `faculty_member`, `permissions`. Custom fields
            can also be filtered with `filter[custom_fields.field_name]`.
          schema:
            type: string
        - name: page[size]
          in: query
          required: false
          description: Number of items per page (max 100)
          schema:
            type: integer
        - name: page[after]
          in: query
          required: false
          description: Cursor for next page
          schema:
            type: string
        - name: page[before]
          in: query
          required: false
          description: Cursor for previous page
          schema:
            type: string
      responses:
        '200':
          description: admin assistant roles found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AdminAssistantRole'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                  links:
                    $ref: '#/components/schemas/PaginationLinks'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    AdminAssistantRole:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: admin_assistant_role
          example: admin_assistant_role
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            custom_fields:
              type:
                - object
                - 'null'
            is_current:
              type: boolean
              description: True when the record is currently effective as of today.
            external_id:
              type:
                - string
                - 'null'
              example: AAR-001
            effective_from:
              type: string
              format: date
            effective_to:
              type:
                - string
                - 'null'
              format: date
        relationships:
          type: object
          properties:
            admin_assistant:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: user
                      example: user
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            faculty_member:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: user
                      example: user
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            permissions:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
              anyOf:
                - required:
                    - links
                - required:
                    - meta
      required:
        - id
        - type
        - attributes
    PaginationMeta:
      type: object
      properties:
        page:
          type: object
          properties:
            size:
              type: integer
        total:
          type: integer
    PaginationLinks:
      type: object
      properties:
        self:
          type: string
        first:
          type: string
        next:
          type:
            - string
            - 'null'
        prev:
          type:
            - string
            - 'null'
        last:
          type:
            - string
            - 'null'
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````